Description

| would like to continue my work on #1448 and in order to do it, | think that we should agree on which Javascript library we're going to
use to handle the tags. | don't think that it worths to make our custom implementation and reinvent the wheel.

In my second patch from the mentioned issue, I've proposed Selectize.js because is maintained and has tests.
Other alternatives:

e Select2: which was my first option but | know that you prefer to not add it to the core (#23310#note-11). Also, this library is
added by many plugins developers like Redmine UP, RM Plus, AlphaNodes, etc.

e Tag-it: which is currently used by the redmine_tags plugin, but the library is no longer maintained (last commit in 2014) and |
would like to avoid using it.

e Taggle: it has only few stars on github.

e tagEditor: only few stars on github and it doesn't have tests

Also, | think that this library can be used to improve other functionalities like:

e query columns selection
¢ add multiple watchers or members
¢ improved drop downs with many values.

Sizes in minified version: | gglectize 38.4 KB

Select2 66.3 KB

Jean-Philippe Lang, please let me know what do you think.

Related issues:

Related to Redmine - Feature #1448: Add tags to issues New 2008-06-14
Related to Redmine - Feature #29732: Populate items in drop down lists fromi... New

Related to Redmine - Feature #31313: Add search/filter to project select box ... New

History

#1 - 2018-09-23 14:03 - Marius BALTEANU

- Private changed from Yes to No

#2 - 2018-09-25 15:13 - Marius BALTEANU
- Related to Feature #1448: Add tags to issues added

#3 - 2018-10-05 01:05 - Go MAEDA

- Related to Feature #29732: Populate items in drop down lists from internal/external source added

#4 - 2019-05-06 06:52 - Adrien Crivelli

It seems Jean-Philippe Lang is not very active nowaday, could this decision be made by Go MAEDA instead ? so that Marius work can go on ?

Selectize.js sounds like a faire choice.

2025-08-23 1/2



https://www.redmine.org/issues/1448
https://github.com/selectize/selectize.js
https://github.com/select2/select2
https://www.redmine.org/issues/23310#note-11
https://github.com/aehlke/tag-it
https://github.com/okcoker/taggle.js
https://github.com/Pixabay/jQuery-tagEditor

#5 - 2019-05-06 08:27 - Marius BALTEANU
- Assignee changed from Jean-Philippe Lang to Marius BALTEANU

| would like to review my proposals in order to include some libraries non jQuery dependent.

#6 - 2019-05-08 22:03 - Marius BALTEANU
- Related to Feature #31313: Add search/filter to project select box in ticket create/edit form added

#7 - 2019-06-21 09:51 - Marius BALTEANU
- Assignee changed from Marius BALTEANU to Jean-Philippe Lang
| looked for some other libraries that can be used to handle the tags:

e Tagify: JavaScript vanilla tag component, no custom dropdown. The size is ~7kb gzipped.
e Choises: tags and custom dropdown, like Select2 or Selectize, but not jQuery depending. The size is 22kb gzipped.

#8 - 2019-06-21 11:36 - Bernhard Rohloff

Choices.js looks very good to me because it's more versatile and provides also options for improvements of other fields in the future.

#9 - 2019-08-18 12:52 - Marius BALTEANU

Another library is https:/slimselectjs.com which seems to be a very good candidate from my tests.

#10 - 2019-10-19 13:53 - Marius BALTEANU

Jean-Philippe, can you help us with a feedback on this? | would like to finish my work on the tags solution for 4.2.0.
#11 - 2023-11-28 17:08 - pasquale [:dedalus]

Can we consider Jean Philippe's silence as a YES? It's been 4 years with no response or indication of an alternative implementation. Staying in this
situation, the development of Redmine in my opinion is blocked.
https://github.com/yairEO/tagify
https://github.com/jshjohnson/Choices
https://slimselectjs.com
http://www.tcpdf.org

